aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init
diff options
context:
space:
mode:
authorXiaofeng Yan <xiaofeng.yan@windriver.com>2011-08-31 09:39:58 +0800
committerRichard Purdie <richard.purdie@linuxfoundation.org>2011-08-31 19:55:11 +0100
commite21e8b502ab2f982836cf1f7a30e33bff1bd5b7b (patch)
tree8cfd6a50bb88d9dbbe489a22bf7ba8126a531ace /meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init
parent38589c37923ecfe34f1dbd5f12d89d55dfb11e2a (diff)
downloadopenembedded-core-contrib-e21e8b502ab2f982836cf1f7a30e33bff1bd5b7b.tar.gz
openembedded-core-contrib-e21e8b502ab2f982836cf1f7a30e33bff1bd5b7b.tar.bz2
openembedded-core-contrib-e21e8b502ab2f982836cf1f7a30e33bff1bd5b7b.zip
qt-demo-init: Fix bug 999
[YOCTO #999] qt4e-demo-image needs qt-demo-init when starting qtdemoE. qt-demo-init was pulled from Openembeded. Signed-off-by: Xiaofeng Yan <xiaofeng.yan@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init')
-rw-r--r--meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init55
1 files changed, 55 insertions, 0 deletions
diff --git a/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init b/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init
new file mode 100644
index 0000000000..affb9589ea
--- /dev/null
+++ b/meta/recipes-qt/qt-demo/qt-demo-init/qtdemo-init
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+set -e
+
+if [ -f /usr/bin/qtdemo ]; then
+ QTDEMO="qtdemo > /var/log/Xsession.log 2> &1"
+else
+ QTDEMO="qtdemoE -qws"
+fi
+
+case "$1" in
+ start)
+ echo "Starting qtdemo"
+ if [ -f /etc/profile.d/tslib.sh ]; then
+ source /etc/profile.d/tslib.sh
+ fi
+ if [ -e $TSLIB_TSDEVICE ]; then
+ if [ ! -f /etc/pointercal ]; then
+ /usr/bin/ts_calibrate
+ fi
+ if [ $QTDEMO == qtdemo ]; then
+ Xorg &
+ export DISPLAY=:0
+ $QTDEMO &
+ else
+ QWS_MOUSE_PROTO=tslib:$TSLIB_TSDEVICE $QTDEMO &
+ fi
+ else
+ if [ $QTDEMO == qtdemo ]; then
+ Xorg &
+ export DISPLAY=:0
+ fi
+ $QTDEMO &
+ fi
+ ;;
+ stop)
+ echo "Stopping qtdemo"
+ if [ $QTDEMO == qtdemo ]; then
+ killall Xorg
+ killall qtdemo
+ else
+ killall qtdemoE
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 { start | stop | restart }" >&2
+ exit 1
+ ;;
+esac
+
+exit 0